tigase.jaxmpp.core.client.xmpp.modules.roster

## Interface RosterCacheProvider

-     public interface RosterCacheProvider

  Interface for implement roster cache. For example to store roster on clients machine.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCachedVersion(SessionObject sessionObject)` Returns version of cached roster.
    `Collection<RosterItem>` | `loadCachedRoster(SessionObject sessionObject)` Loads cached roster.
    `void` | `updateReceivedVersion(SessionObject sessionObject, String ver)` Update roster cache.

- - ### Method Detail

    - #### getCachedVersion

          String getCachedVersion(SessionObject sessionObject)

      Returns version of cached roster.
      Parameters:
        `sessionObject` - session object
      Returns:
        version id

    - #### loadCachedRoster

          Collection<RosterItem> loadCachedRoster(SessionObject sessionObject)

      Loads cached roster.
      Parameters:
        `sessionObject` -
      Returns:
        collection of loaded roster items.

    - #### updateReceivedVersion

          void updateReceivedVersion(SessionObject sessionObject,
                                     String ver)

      Update roster cache. RosterStore should be get from session object.
      Parameters:
        `sessionObject` - session object.
        `ver` - version of roster.

Copyright © 2006–2020 Tigase. All rights reserved.